﻿''' <summary>
''' Sample Interface for a WCF Service that receives Party notification messages.
''' </summary>
''' <remarks>
'''</remarks>
<ServiceContract(Namespace:="http://your.namespace"), XmlSerializerFormat(Style:=OperationFormatStyle.Document, Use:=OperationFormatUse.Literal)>
Public Interface IPartyNotificationReceiverService_3_2
    ''' <summary>
    ''' Interface for method to receive a Party notification message.
    ''' The method name can be anything.   The Action value has to match value for the service.
    ''' This method receives the message as a PartyNotification object.   
    ''' </summary>
    ''' <param name="PartyNotificationMessage"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <OperationContract(Action:="http://www.courts.state.mn.us/IS/02/PartyNotification", ReplyAction:="http://www.courts.state.mn.us/IS/02/PartyNotificationResponse")>
    Function ReceivePartyNotification(ByVal PartyNotificationMessage As PartyNotificationMessage_3_2) As PartyNotificationReceivedMessage_3_2
End Interface


''' <summary>
''' PartyNotification message definition.   The message classes in the Msc.Integration.CourtXML namespace are generated from the schema using xsd.exe.
''' </summary>
''' <remarks></remarks>
<MessageContract(IsWrapped:=False)> _
Public Class PartyNotificationMessage_3_2
    <MessageBodyMember(Namespace:="http://www.courts.state.mn.us/CourtXML/3", Name:="PartyNotification")> Public PartyNotification As Msc.Integration.CourtXML.PartyNotification_3_2.PartyNotification
End Class

''' <summary>
''' Response message definition.
''' </summary>
''' <remarks></remarks>
<MessageContract(IsWrapped:=False)> _
Public Class PartyNotificationReceivedMessage_3_2
    <MessageBodyMember(Namespace:="http://www.courts.state.mn.us/IS/02/", Name:="MessageReceived")> Public MessageReceived As Boolean
End Class
